/Total moves/ {
	nmatches++;
	totalMoves1 += $3;
	totalMoves2 += $4;

}
/Unforced moves/ {
	unforcedMoves1 = $3;
	unforcedMoves2 = $4;

}
/Close or actual cube decisions/ {
	unforcedMoves1 += $6;
	unforcedMoves2 += $7;
}
/Error rate \(total/ {
	errCounter++;
	if(errCounter%3 == 0) {
		sub(/\(/," ",$0);
		sub(/\(/," ",$0);
		sub(/\(/," ",$0);
		sub(/\)/," ",$0);
		sub(/\)/," ",$0);
		sub(/\)/," ",$0);
		err1[nmatches] = $4/unforcedMoves1;
		err2[nmatches] = $6/unforcedMoves2;
		av_err1 += err1[nmatches];
		av_err2 += err2[nmatches];
	}
}
/Luck adjusted result/ {
	sub(/\%/," ",$0);
	sub(/\%/," ",$0);
# before aug 17 2003 builds:
#	lares1[nmatches] = $4/100;
# after aug 17 2003 builds:
	lares1[nmatches] = (50 + $4)/100;
	av_lares1 += lares1[nmatches];
}
END {
# OLD BUG: this assumed matchlen = 3. Corrected for in sc1.m
	matchlen = 3;
	av_err1 /= nmatches;
	av_err2 /= nmatches;
	av_res1 /= nmatches;
	av_lares1 /= nmatches;
	av_errDiff = av_err2 - av_err1;
	for(i=1;i<=nmatches;i++) {
		varDiffErr += (err2[i]-err1[i]-av_errDiff)*(err2[i]-err1[i]-av_errDiff);
		varLares1 += (lares1[i]-av_lares1)*(lares1[i]-av_lares1);
	}
	varDiffErr /= nmatches;
	varLares1 /= nmatches;
	sigmaDiffErr = sqrt(varDiffErr);
	sigmaLares1 = sqrt(varLares1);
	conf90DiffErr = 1.645*sigmaDiffErr/sqrt(nmatches);
	conf90Lares1 = 1.645*sigmaLares1/sqrt(nmatches);
	minlaP = av_lares1 - conf90Lares1;
	maxlaP = av_lares1 + conf90Lares1;
	minlaR = -(2000/log(10))/sqrt(matchlen)*log(1/minlaP -1);
	maxlaR = -(2000/log(10))/sqrt(matchlen)*log(1/maxlaP -1);
	avlaR = -(2000/log(10))/sqrt(matchlen)*log(1/av_lares1 -1);

	printf("N=%d R=%4.1f [+-%4.1f] e2-e1=%f [+-%f] e1=%f e2=%f\n",nmatches,minlaR,avlaR,maxlaR,av_errDiff,conf90DiffErr,av_err1,av_err2);
	printf("Per game: moves=[%f %f] cubeDecisions=[%f %f]\n",totalMoves1/nmatches,totalMoves2/nmatches);
}
